%define pkgver %(echo %version | tr -d .)

Name:          libcfitsio
Epoch:         1
Version:       4.4.0
Release:       1mamba
Summary:       A FITS File Subroutine Library
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://heasarc.gsfc.nasa.gov/docs/software/fitsio/fitsio.html
Source:        https://heasarc.gsfc.nasa.gov/FTP/software/fitsio/c/cfitsio-%{version}.tar.gz
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcurl-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END

%description
CFITSIO is a library of C and Fortran subroutines for reading and writing data files in FITS (Flexible Image Transport System) data format. CFITSIO provides simple high-level routines for reading and writing FITS files that insulate the programmer from the internal complexities of the FITS format.
CFITSIO also provides many advanced features for manipulating and filtering the information in FITS files.

%package devel
Group:         Development/Libraries
Summary:       Static libraries and headers for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description devel
CFITSIO is a library of C and Fortran subroutines for reading and writing data files in FITS (Flexible Image Transport System) data format. CFITSIO provides simple high-level routines for reading and writing FITS files that insulate the programmer from the internal complexities of the FITS format.
CFITSIO also provides many advanced features for manipulating and filtering the information in FITS files.
This package contains static libraries and header files needed for development.

%package -n cfitsio
Group:         System/Tools
Summary:       Tools provided with %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description -n cfitsio
CFITSIO is a library of C and Fortran subroutines for reading and writing data files in FITS (Flexible Image Transport System) data format. CFITSIO provides simple high-level routines for reading and writing FITS files that insulate the programmer from the internal complexities of the FITS format.
CFITSIO also provides many advanced features for manipulating and filtering the information in FITS files.
This package contains the tools provided with %{name}.

%debug_package

%prep
%setup -q -n cfitsio-%{version}

%build
%configure \
   --enable-reentrant \
   --includedir=%{_includedir}/cfitsio

%make shared
%make utils

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_libdir}/libcfitsio.so.*
%doc licenses/NASA_Open_Source_Agreement_1.3.txt

%files devel
%defattr(-,root,root)
%dir %{_includedir}/cfitsio
%{_includedir}/cfitsio/*.h
%{_libdir}/libcfitsio.a
%{_libdir}/libcfitsio.so
%{_libdir}/pkgconfig/cfitsio.pc

%files -n cfitsio
%defattr(-,root,root)
%{_bindir}/*

%changelog
* Tue Mar 26 2024 Automatic Build System <autodist@openmamba.org> 4.4.0-1mamba
- automatic update by autodist

* Mon Feb 12 2024 Automatic Build System <autodist@openmamba.org> 4.3.1-1mamba
- automatic update by autodist

* Tue Nov 07 2023 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic update by autodist

* Mon Apr 03 2023 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic update by autodist

* Tue Apr 26 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 4.1.0-1mamba
- update to 4.1.0

* Sun May 13 2018 Automatic Build System <autodist@mambasoft.it> 3.450-1mamba
- automatic version update by autodist

* Sat Apr 14 2018 Automatic Build System <autodist@mambasoft.it> 3.440-1mamba
- automatic version update by autodist

* Fri Mar 02 2018 Automatic Build System <autodist@mambasoft.it> 3.430-1mamba
- automatic version update by autodist

* Thu Sep 21 2017 Automatic Build System <autodist@mambasoft.it> 3.420-1mamba
- automatic version update by autodist

* Sat Dec 03 2016 Automatic Build System <autodist@mambasoft.it> 3.410-1mamba
- automatic version update by autodist

* Wed Nov 23 2016 Automatic Build System <autodist@mambasoft.it> 3.400-1mamba
- automatic version update by autodist

* Tue Jun 07 2016 Automatic Build System <autodist@mambasoft.it> 3.390-1mamba
- automatic version update by autodist

* Sat Aug 23 2014 Automatic Build System <autodist@mambasoft.it> 3.370-1mamba
- automatic version update by autodist

* Mon Dec 23 2013 Automatic Build System <autodist@mambasoft.it> 3.360-1mamba
- automatic version update by autodist

* Tue Jul 09 2013 Automatic Build System <autodist@mambasoft.it> 3.350-1mamba
- automatic version update by autodist

* Mon Apr 15 2013 Automatic Build System <autodist@mambasoft.it> 3.340-1mamba
- automatic version update by autodist

* Mon Sep 10 2012 Automatic Build System <autodist@mambasoft.it> 3.310-1mamba
- automatic version update by autodist

* Sun Sep 02 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 3.270-2mamba
- removed runtime requirement for gcc-fortran

* Sat Mar 26 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.270-1mamba
- update to 3.270

* Fri Mar 04 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 3.26-1mamba
- update to 3.26

* Sat Oct 18 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 3.100-2mamba
- removed forgotten -D -T setup options

* Mon Oct 13 2008 gil <puntogil@libero.it> 3.100-1mamba
- update to 3.100

* Fri Nov 23 2007 Aleph0 <aleph0@openmamba.org> 3.060-1mamba
- package created by autospec
